ARG BASE_IMAGE

FROM $BASE_IMAGE

ARG TARGETARCH

ARG TERRAFORM_BINARY_VERSION

ARG TERRAGRUNT_BINARY_VERSION

RUN apk add --no-cache jq curl git openssh gcompat

WORKDIR /tmp

RUN ( curl -sLo terraform.zip "https://releases.hashicorp.com/terraform/${TERRAFORM_BINARY_VERSION}/terraform_${TERRAFORM_BINARY_VERSION}_linux_${TARGETARCH}.zip" && \
      unzip terraform.zip && \
      rm terraform.zip && \
      mv ./terraform /usr/local/bin/terraform \
    ) && terraform --version

RUN ( curl -sLo terragrunt "https://github.com/gruntwork-io/terragrunt/releases/download/${TERRAGRUNT_BINARY_VERSION}/terragrunt_linux_amd64" && \
      chmod +x ./terragrunt
      mv ./terragrunt /usr/local/bin/terragrunt \
    ) && terragrunt --version

WORKDIR /

COPY src/bin/gitlab-terraform.sh /usr/bin/gitlab-terraform
RUN chmod +x /usr/bin/gitlab-terraform

# Override ENTRYPOINT since hashicorp/terraform uses `terraform`
ENTRYPOINT []
